Index: main/waeup.plonetheme.ngren3/trunk/setup.cfg
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/setup.cfg	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/setup.cfg	(revision 10085)
@@ -1,5 +1,2 @@
-[egg_info]
-tag_build = 
-tag_date = 0
-tag_svn_revision = 0
 
+
Index: main/waeup.plonetheme.ngren3/trunk/waeup.plonetheme.ngren3.egg-info/SOURCES.txt
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/waeup.plonetheme.ngren3.egg-info/SOURCES.txt	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/waeup.plonetheme.ngren3.egg-info/SOURCES.txt	(revision 10085)
@@ -19,9 +19,53 @@
 waeup/plonetheme/__init__.py
 waeup/plonetheme/ngren3/__init__.py
+waeup/plonetheme/ngren3/configure.zcml
+waeup/plonetheme/ngren3/profiles.zcml
 waeup/plonetheme/ngren3/setuphandlers.py
 waeup/plonetheme/ngren3/tests.py
+waeup/plonetheme/ngren3/upgrades.py
 waeup/plonetheme/ngren3/Extensions/Install.py
 waeup/plonetheme/ngren3/Extensions/__init__.py
 waeup/plonetheme/ngren3/browser/__init__.py
+waeup/plonetheme/ngren3/browser/bootstrap-integration.js
+waeup/plonetheme/ngren3/browser/configure.zcml
 waeup/plonetheme/ngren3/browser/interfaces.py
 waeup/plonetheme/ngren3/browser/utils.py
+waeup/plonetheme/ngren3/browser/templates/plone.app.contentmenu.contentmenu.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.contentactions.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.contentviews.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.logo.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.manage_portlets_fallback.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.path_bar.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.personal_bar.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.searchbox.pt
+waeup/plonetheme/ngren3/browser/templates/plone.app.layout.viewlets.sections.pt
+waeup/plonetheme/ngren3/profiles/default/browserlayer.xml
+waeup/plonetheme/ngren3/profiles/default/cssregistry.xml
+waeup/plonetheme/ngren3/profiles/default/jsregistry.xml
+waeup/plonetheme/ngren3/profiles/default/metadata.xml
+waeup/plonetheme/ngren3/profiles/default/skins.xml
+waeup/plonetheme/ngren3/profiles/default/waeup.plonetheme.ngren1_various.txt
+waeup/plonetheme/ngren3/profiles/plone-41/browserlayer.xml
+waeup/plonetheme/ngren3/profiles/plone-41/cssregistry.xml
+waeup/plonetheme/ngren3/profiles/plone-41/jsregistry.xml
+waeup/plonetheme/ngren3/profiles/plone-41/metadata.xml
+waeup/plonetheme/ngren3/profiles/plone-41/skins.xml
+waeup/plonetheme/ngren3/profiles/plone-41/waeup.plonetheme.ngren1_various.txt
+waeup/plonetheme/ngren3/profiles/uninstall/cssregistry.xml
+waeup/plonetheme/ngren3/profiles/uninstall/jsregistry.xml
+waeup/plonetheme/ngren3/profiles/uninstall/skins.xml
+waeup/plonetheme/ngren3/profiles/uninstall-plone41/cssregistry.xml
+waeup/plonetheme/ngren3/profiles/uninstall-plone41/jsregistry.xml
+waeup/plonetheme/ngren3/profiles/uninstall-plone41/skins.xml
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/IEFixes.css
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/RTL.css
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/base_properties.props
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/global_statusmessage.pt
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/logo.png
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/main_template.pt
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/member.css
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/pb_close.png
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/plone.kss.dtml
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/portlets.css
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/print.css
+waeup/plonetheme/ngren3/skins/plonetheme_bootstrap_custom/public.css
Index: main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles.zcml
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles.zcml	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles.zcml	(revision 10085)
@@ -8,7 +8,7 @@
       zcml:condition="have plone-42"
       name="default"
-      title="NgREN Bootstrap Theme"
+      title="WAeUP NgREN Bootstrap Theme"
       directory="profiles/default"
-      description='Extension profile for the "NgREN Bootstrap Theme" Plone theme.'
+      description='Extension profile for the "WAeUP NgREN Bootstrap Theme" Plone theme'
       provides="Products.GenericSetup.interfaces.EXTENSION"
       />
@@ -17,6 +17,6 @@
       zcml:condition="have plone-42"
       name="waeup.plonetheme.ngren3.various"
-      title="NgREN Bootstrap Theme: miscellaneous import steps"
-      description="Various import steps that are not handled by GS import/export handlers."
+      title="WAeUP NgREN Bootstrap Theme: miscellaneous import steps"
+      description="Various import steps that are not handled by GS import/export handlers"
       handler="waeup.plonetheme.ngren3.setuphandlers.setupVarious">
 
@@ -29,7 +29,7 @@
       zcml:condition="have plone-42"
       name="uninstall"
-      title="NgREN Bootstrap Theme uninstall"
+      title="WAeUP NgREN Bootstrap Theme uninstall"
       directory="profiles/uninstall"
-      description="Uninstall profile for the NgREN Bootstrap Theme Plone theme"
+      description="Uninstall profile for the WAeUP NgREN Bootstrap Theme"
       provides="Products.GenericSetup.interfaces.EXTENSION"
       />
@@ -39,7 +39,7 @@
       zcml:condition="not-have plone-42"
       name="plone-41"
-      title="NgREN Bootstrap Theme"
+      title="WAeUP NgREN Bootstrap Theme"
       directory="profiles/plone-41"
-      description='Extension profile for the "NgREN Bootstrap Theme" Plone theme for Plone 4.1.x'
+      description='Extension profile for the "WAeUP NgREN Bootstrap Theme" Plone theme for Plone 4.1.x'
       provides="Products.GenericSetup.interfaces.EXTENSION"
       />
@@ -48,7 +48,7 @@
       zcml:condition="not-have plone-42"
       name="uninstall-plone41"
-      title="NgREN Bootstrap Theme uninstall"
+      title="WAeUP NgREN Bootstrap Theme uninstall"
       directory="profiles/uninstall-plone41"
-      description="Uninstall profile for the NgREN Bootstrap Theme Plone theme"
+      description="Uninstall profile for the WAeUP NgREN Bootstrap Theme"
       provides="Products.GenericSetup.interfaces.EXTENSION"
       />
Index: main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/default/skins.xml
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/default/skins.xml	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/default/skins.xml	(revision 10085)
@@ -11,5 +11,5 @@
        -->
 <object name="portal_skins" allow_any="False" cookie_persistence="False"
-   default_skin="NgREN Bootstrap Theme">
+   default_skin="WAeUP NgREN Bootstrap Theme">
 
  <!-- This list registers the folders that are stored in the skins directory
@@ -40,5 +40,5 @@
        "all".
        -->
- <skin-path name="NgREN Bootstrap Theme" based-on="Plone Default">
+ <skin-path name="WAeUP NgREN Bootstrap Theme" based-on="Plone Default">
   <layer name="plonetheme_bootstrap_custom"
      insert-after="custom"/>
Index: main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/plone-41/skins.xml
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/plone-41/skins.xml	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/plone-41/skins.xml	(revision 10085)
@@ -43,5 +43,5 @@
        "all".
        -->
- <skin-path name="NgREN Bootstrap Theme" based-on="Plone Default">
+ <skin-path name="WAeUP NgREN Bootstrap Theme" based-on="Plone Default">
   <layer name="plonetheme_bootstrap_images"
      insert-after="custom"/>
Index: main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/uninstall-plone41/skins.xml
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/uninstall-plone41/skins.xml	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/uninstall-plone41/skins.xml	(revision 10085)
@@ -39,5 +39,5 @@
 
 
- <skin-path name="NgREN Bootstrap Theme" based-on="Plone Default" remove="True">
+ <skin-path name="WAeUP NgREN Bootstrap Theme" based-on="Plone Default" remove="True">
 
  </skin-path>
Index: main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/uninstall/skins.xml
===================================================================
--- main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/uninstall/skins.xml	(revision 10084)
+++ main/waeup.plonetheme.ngren3/trunk/waeup/plonetheme/ngren3/profiles/uninstall/skins.xml	(revision 10085)
@@ -39,5 +39,5 @@
 
 
- <skin-path name="NgREN Bootstrap Theme" based-on="Plone Default" remove="True">
+ <skin-path name="WAeUP NgREN Bootstrap Theme" based-on="Plone Default" remove="True">
 
  </skin-path>