Index: /main/waeup.diazo/trunk/bootstrap.py
===================================================================
--- /main/waeup.diazo/trunk/bootstrap.py	(revision 10114)
+++ /main/waeup.diazo/trunk/bootstrap.py	(revision 10114)
@@ -0,0 +1,165 @@
+##############################################################################
+#
+# Copyright (c) 2006 Zope Foundation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+##############################################################################
+"""Bootstrap a buildout-based project
+
+Simply run this script in a directory containing a buildout.cfg.
+The script accepts buildout command-line options, so you can
+use the -c option to specify an alternate configuration file.
+"""
+
+import os, shutil, sys, tempfile
+from optparse import OptionParser
+
+tmpeggs = tempfile.mkdtemp()
+
+usage = '''\
+[DESIRED PYTHON FOR BUILDOUT] bootstrap.py [options]
+
+Bootstraps a buildout-based project.
+
+Simply run this script in a directory containing a buildout.cfg, using the
+Python that you want bin/buildout to use.
+
+Note that by using --setup-source and --download-base to point to
+local resources, you can keep this script from going over the network.
+'''
+
+parser = OptionParser(usage=usage)
+parser.add_option("-v", "--version", help="use a specific zc.buildout version")
+
+parser.add_option("-t", "--accept-buildout-test-releases",
+                  dest='accept_buildout_test_releases',
+                  action="store_true", default=False,
+                  help=("Normally, if you do not specify a --version, the "
+                        "bootstrap script and buildout gets the newest "
+                        "*final* versions of zc.buildout and its recipes and "
+                        "extensions for you.  If you use this flag, "
+                        "bootstrap and buildout will get the newest releases "
+                        "even if they are alphas or betas."))
+parser.add_option("-c", "--config-file",
+                   help=("Specify the path to the buildout configuration "
+                         "file to be used."))
+parser.add_option("-f", "--find-links",
+                   help=("Specify a URL to search for buildout releases"))
+
+
+options, args = parser.parse_args()
+
+######################################################################
+# load/install distribute
+
+to_reload = False
+try:
+    import pkg_resources, setuptools
+    if not hasattr(pkg_resources, '_distribute'):
+        to_reload = True
+        raise ImportError
+except ImportError:
+    ez = {}
+
+    try:
+        from urllib.request import urlopen
+    except ImportError:
+        from urllib2 import urlopen
+
+    exec(urlopen('http://python-distribute.org/distribute_setup.py').read(), ez)
+    setup_args = dict(to_dir=tmpeggs, download_delay=0, no_fake=True)
+    ez['use_setuptools'](**setup_args)
+
+    if to_reload:
+        reload(pkg_resources)
+    import pkg_resources
+    # This does not (always?) update the default working set.  We will
+    # do it.
+    for path in sys.path:
+        if path not in pkg_resources.working_set.entries:
+            pkg_resources.working_set.add_entry(path)
+
+######################################################################
+# Install buildout
+
+ws  = pkg_resources.working_set
+
+cmd = [sys.executable, '-c',
+       'from setuptools.command.easy_install import main; main()',
+       '-mZqNxd', tmpeggs]
+
+find_links = os.environ.get(
+    'bootstrap-testing-find-links',
+    options.find_links or
+    ('http://downloads.buildout.org/'
+     if options.accept_buildout_test_releases else None)
+    )
+if find_links:
+    cmd.extend(['-f', find_links])
+
+distribute_path = ws.find(
+    pkg_resources.Requirement.parse('distribute')).location
+
+requirement = 'zc.buildout'
+version = options.version
+if version is None and not options.accept_buildout_test_releases:
+    # Figure out the most recent final version of zc.buildout.
+    import setuptools.package_index
+    _final_parts = '*final-', '*final'
+    def _final_version(parsed_version):
+        for part in parsed_version:
+            if (part[:1] == '*') and (part not in _final_parts):
+                return False
+        return True
+    index = setuptools.package_index.PackageIndex(
+        search_path=[distribute_path])
+    if find_links:
+        index.add_find_links((find_links,))
+    req = pkg_resources.Requirement.parse(requirement)
+    if index.obtain(req) is not None:
+        best = []
+        bestv = None
+        for dist in index[req.project_name]:
+            distv = dist.parsed_version
+            if _final_version(distv):
+                if bestv is None or distv > bestv:
+                    best = [dist]
+                    bestv = distv
+                elif distv == bestv:
+                    best.append(dist)
+        if best:
+            best.sort()
+            version = best[-1].version
+if version:
+    requirement = '=='.join((requirement, version))
+cmd.append(requirement)
+
+import subprocess
+if subprocess.call(cmd, env=dict(os.environ, PYTHONPATH=distribute_path)) != 0:
+    raise Exception(
+        "Failed to execute command:\n%s",
+        repr(cmd)[1:-1])
+
+######################################################################
+# Import and run buildout
+
+ws.add_entry(tmpeggs)
+ws.require(requirement)
+import zc.buildout.buildout
+
+if not [a for a in args if '=' not in a]:
+    args.append('bootstrap')
+
+# if -c was provided, we push it back into args for buildout' main function
+if options.config_file is not None:
+    args[0:0] = ['-c', options.config_file]
+
+zc.buildout.buildout.main(args)
+shutil.rmtree(tmpeggs)
Index: /main/waeup.diazo/trunk/buildout.cfg
===================================================================
--- /main/waeup.diazo/trunk/buildout.cfg	(revision 10114)
+++ /main/waeup.diazo/trunk/buildout.cfg	(revision 10114)
@@ -0,0 +1,54 @@
+[buildout]
+parts =  
+    lxml
+    diazo
+    nodejs
+    npm
+    bootstrap
+
+extends = 
+    http://good-py.appspot.com/release/diazo/1.0
+    versions.cfg
+
+find-links =
+
+extensions = 
+    mr.developer
+
+auto-checkout = bootstrap waeup.kofa
+
+develop =
+
+show-picked-versions = true
+update-versions-file = versions.cfg
+
+[sources]
+bootstrap = git https://github.com/twitter/bootstrap.git egg=false rev=v2.3.1
+waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/trunk
+
+[lxml]
+recipe = z3c.recipe.staticlxml
+egg = lxml
+
+[diazo]
+recipe = zc.recipe.egg
+eggs =
+    diazo [wsgi]
+    PasteScript
+
+[nodejs]
+recipe = zc.recipe.cmmi
+url = http://nodejs.org/dist/v0.9.3/node-v0.9.3.tar.gz
+
+[npm]
+recipe = plone.recipe.command
+command =
+    cd ${buildout:directory}/src/bootstrap
+    ${buildout:parts-directory}/nodejs/bin/npm install
+
+[bootstrap]
+recipe = plone.recipe.command
+command =
+    cd ${buildout:directory}/src/bootstrap && PATH=${buildout:parts-directory}/nodejs/bin/:$PATH && make && make bootstrap
+update-command =
+    ${bootstrap:command}
Index: /main/waeup.diazo/trunk/kofa/base.xml
===================================================================
--- /main/waeup.diazo/trunk/kofa/base.xml	(revision 10114)
+++ /main/waeup.diazo/trunk/kofa/base.xml	(revision 10114)
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rules
+    xmlns="http://namespaces.plone.org/diazo"
+    xmlns:css="http://namespaces.plone.org/diazo/css"
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+    xmlns:xi="http://www.w3.org/2001/XInclude">
+
+  <rules>
+
+    <theme href="theme.html" />
+
+    <!-- Head elements -->
+    <replace css:theme="html head title"
+             css:content="html head title" />
+    <after css:theme-children="html head"
+           css:content="html head meta" />
+    <after css:theme-children="html head"
+           css:content="html head base" />
+  </rules>
+
+</rules>
+
Index: /main/waeup.diazo/trunk/kofa/bootstrap
===================================================================
--- /main/waeup.diazo/trunk/kofa/bootstrap	(revision 10114)
+++ /main/waeup.diazo/trunk/kofa/bootstrap	(revision 10114)
@@ -0,0 +1,1 @@
+link ../src/bootstrap/bootstrap/
Index: /main/waeup.diazo/trunk/kofa/theme.html
===================================================================
--- /main/waeup.diazo/trunk/kofa/theme.html	(revision 10114)
+++ /main/waeup.diazo/trunk/kofa/theme.html	(revision 10114)
@@ -0,0 +1,52 @@
+<!DOCTYPE html>
+<html lang="en">
+  <head>
+    <meta charset="utf-8">
+    <title>Base · Twitter Bootstrap</title>
+    <meta name="viewport" content="width=device-width, initial-scale=1.0">
+    <meta name="description" content="">
+    <meta name="author" content="">
+
+    <!-- stylesheets -->
+    <link href="bootstrap/css/bootstrap.min.css"
+	  rel="stylesheet">
+    <link href="bootstrap/css/bootstrap-responsive.min.css"
+	  rel="stylesheet">
+
+    <!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
+    <!--[if lt IE 9]>
+      <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
+    <![endif]-->
+
+    <!-- icons -->
+    <link rel="shortcut icon" href="static/ico/favicon.ico">
+    <link rel="apple-touch-icon-precomposed" sizes="144x144"
+	  href="static/ico/apple-touch-icon-144-precomposed.png">
+    <link rel="apple-touch-icon-precomposed" sizes="114x114"
+	  href="static/ico/apple-touch-icon-114-precomposed.png">
+    <link rel="apple-touch-icon-precomposed" sizes="72x72"
+	  href="static/ico/apple-touch-icon-72-precomposed.png">
+    <link rel="apple-touch-icon-precomposed"
+	  href="static/ico/apple-touch-icon-57-precomposed.png">
+
+  </head>
+
+  <body id="kofa-body">
+
+    <h1>waeup.kofa theme</h1>
+
+    <p>
+      Donec id elit non mi porta gravida at eget metus. Fusce dapibus,
+      tellus ac cursus commodo, tortor mauris condimentum nibh, ut
+      fermentum massa justo sit amet risus. Etiam porta sem malesuada
+      magna mollis euismod. Donec sed odio dui.
+    </p>
+
+    <img src="static/img/bg.png" />
+
+    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
+    <script src="bootstrap/js/bootstrap.min.js"></script>
+
+  </body>
+</html>
+
Index: /main/waeup.diazo/trunk/kofaproxy.ini
===================================================================
--- /main/waeup.diazo/trunk/kofaproxy.ini	(revision 10114)
+++ /main/waeup.diazo/trunk/kofaproxy.ini	(revision 10114)
@@ -0,0 +1,41 @@
+[DEFAULT]
+# the directory where all real diazo config is done (no trailing slash)
+LAYOUT_DIR = %(here)s/kofa
+STATIC_DIR = %(LAYOUT_DIR)s/static
+
+[server:main]
+use = egg:Paste#http
+host = 0.0.0.0
+port = 8000
+
+[composite:main]
+use = egg:Paste#urlmap
+/static/bootstrap = bootstrap
+/static/static = static
+/ = default
+
+[app:bootstrap]
+use = egg:Paste#static
+document_root = %(here)s/src/bootstrap/bootstrap/
+
+[app:static]
+use = egg:Paste#static
+document_root = %(LAYOUT_DIR)s/static/
+
+[pipeline:default]
+pipeline = theme
+           content
+
+[filter:theme]
+use = egg:diazo
+rules = %(LAYOUT_DIR)s/base.xml
+prefix = /static
+debug = true
+doctype = <!DOCTYPE html>
+
+[app:content]
+use = egg:Paste#proxy
+# this one 'diazofies' some Grok instance named 'app', served on
+# http://localhost:8080/app/ and delivers filtered results to
+# http://localhost:8000/
+address = http://127.0.0.1:8080/app/++vh++http:localhost:8000/++/
Index: /main/waeup.diazo/trunk/versions.cfg
===================================================================
--- /main/waeup.diazo/trunk/versions.cfg	(revision 10114)
+++ /main/waeup.diazo/trunk/versions.cfg	(revision 10114)
@@ -0,0 +1,18 @@
+[versions]
+# Added by buildout at 2013-04-27 01:29:33.777030
+Paste = 1.7.5.1
+PasteScript = 1.7.5
+distribute = 0.6.36
+mr.developer = 1.25
+plone.recipe.command = 1.1
+z3c.recipe.staticlxml = 0.9
+zc.buildout = 2.1.0
+zc.recipe.egg = 2.0.0
+
+# Required by:
+# PasteScript==1.7.5
+PasteDeploy = 1.5.0
+
+# Required by:
+# z3c.recipe.staticlxml==0.9
+zc.recipe.cmmi = 1.3.5