Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/de/LC_MESSAGES/waeup.aaua.po
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/de/LC_MESSAGES/waeup.aaua.po	(revision 10151)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/de/LC_MESSAGES/waeup.aaua.po	(revision 10152)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: WAeUP.Kofa\n"
-"POT-Creation-Date: Mon Sep  3 12:52:46 2012\n"
+"POT-Creation-Date: Mon May  6 11:18:57 2013\n"
 "PO-Revision-Date: 2012-10-17 17:48+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
@@ -67,82 +67,52 @@
 msgstr "Akademisches Jahr"
 
-#. Default: ""
-#: waeup/aaua/interswitch/browser.py:103
-msgid "Unsuccessful callback: ${a}"
-msgstr ""
-
-#: waeup/aaua/interswitch/browser.py:108
-msgid "Callback amount does not match."
-msgstr ""
-
-#: waeup/aaua/interswitch/browser.py:113
-msgid "Callback transaction id does not match."
-msgstr ""
-
-#: waeup/aaua/interswitch/browser.py:119
-msgid "Successful callback received"
-msgstr ""
-
-#: waeup/aaua/interswitch/browser.py:128
-#: waeup/aaua/interswitch/browser.py:142
-msgid "CollegePAY"
-msgstr "CollegePAY"
-
-#: waeup/aaua/interswitch/browser.py:156
-#: waeup/aaua/interswitch/browser.py:164
-#, fuzzy
-msgid "Requery CollegePAY"
-msgstr "CollegePAY"
-
-#: waeup/aaua/interswitch/browser.py:175
-#: waeup/aaua/interswitch/browser.py:254
+#: waeup/aaua/interswitch/browser.py:70
 msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
 msgstr "Daten an CollegePAY (Interswitch Payment Gateway) senden"
 
-#: waeup/aaua/interswitch/browser.py:176
-#: waeup/aaua/interswitch/browser.py:255
+#: waeup/aaua/interswitch/browser.py:71
 msgid "Submit"
 msgstr "Senden"
 
-#: waeup/aaua/interswitch/browser.py:186
-#: waeup/aaua/interswitch/browser.py:264
+#: waeup/aaua/interswitch/browser.py:84
 msgid "Payment ticket can't be re-send to CollegePAY."
 msgstr "Bewertete Bezahl-Tickets können nicht erneut gesendet werden."
 
-#: waeup/aaua/interswitch/browser.py:269
-#, fuzzy
-msgid "Payment ticket can't be send to CollegePAY. Application period has expired."
-msgstr "Bewertete Bezahl-Tickets können nicht erneut gesendet werden."
-
-#: waeup/aaua/interswitch/browser.py:315
-#: waeup/aaua/interswitch/browser.py:342
-msgid "This ticket has already been paid."
+#: waeup/aaua/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/aaua/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
 msgstr ""
 
-#. Default: ""
-#: waeup/aaua/interswitch/browser.py:94
-msgid "Invalid callback: ${a}"
+#: waeup/aaua/students/browser.py:74
+msgid "Create bed ticket"
 msgstr ""
 
 #: waeup/aaua/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:80
 msgid "Payment Level"
 msgstr ""
 
-#: waeup/aaua/students/utils.py:194
-msgid "Amount could not be determined."
-msgstr "Betrag konnte nicht ermittelt werden."
+#~ msgid "CollegePAY"
+#~ msgstr "CollegePAY"
 
-#: waeup/aaua/students/utils.py:201
-msgid "This type of payment has already been made."
-msgstr ""
+#, fuzzy
+#~ msgid "Requery CollegePAY"
+#~ msgstr "CollegePAY"
 
-#: waeup/aaua/students/utils.py:66
-msgid "Session configuration object is not available."
-msgstr "Session-Konfiguration ist nicht verfügbar."
+#, fuzzy
+#~ msgid ""
+#~ "Payment ticket can't be send to CollegePAY. Application period has "
+#~ "expired."
+#~ msgstr "Bewertete Bezahl-Tickets können nicht erneut gesendet werden."
 
-#: waeup/aaua/students/utils.py:80
-#: waeup/aaua/students/utils.py:86
-msgid "Study course data are incomplete."
-msgstr ""
+#~ msgid "Amount could not be determined."
+#~ msgstr "Betrag konnte nicht ermittelt werden."
+
+#~ msgid "Session configuration object is not available."
+#~ msgstr "Session-Konfiguration ist nicht verfügbar."
 
 #~ msgid "Postgraduates"
Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/en/LC_MESSAGES/waeup.aaua.po
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/en/LC_MESSAGES/waeup.aaua.po	(revision 10152)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/en/LC_MESSAGES/waeup.aaua.po	(revision 10152)
@@ -0,0 +1,91 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Mon May  6 11:18:57 2013\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: waeup/aaua/browser/theming.py:30
+msgid "AAUA Theme"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:35
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:47
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:61
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:73
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:88
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:70
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:71
+msgid "Submit"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:84
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: waeup/aaua/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/aaua/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr ""
+
+#: waeup/aaua/students/browser.py:74
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:80
+msgid "Payment Level"
+msgstr ""
Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10151)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 10152)
@@ -10,2 +10,6 @@
 "Content-Transfer-Encoding: 8bit\n"
 
+#. Default: "Don't forget to logout or exit your browser when you're done. If you are having trouble logging in, make sure to enable cookies in your web browser."
+msgid "login_trouble1"
+msgstr "<strong>Notice:</strong> All student ids now start with 'A'. If your data have been migrated from the old portal just put 'A' in front of your old id. Example: B123456 becomes AB123456"
+
Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/fr/LC_MESSAGES/waeup.aaua.po
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/fr/LC_MESSAGES/waeup.aaua.po	(revision 10152)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/fr/LC_MESSAGES/waeup.aaua.po	(revision 10152)
@@ -0,0 +1,91 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Mon May  6 11:18:57 2013\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: waeup/aaua/browser/theming.py:30
+msgid "AAUA Theme"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:35
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:47
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:61
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:73
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:88
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:70
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:71
+msgid "Submit"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:84
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: waeup/aaua/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/aaua/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr ""
+
+#: waeup/aaua/students/browser.py:74
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:80
+msgid "Payment Level"
+msgstr ""
Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/ha/LC_MESSAGES/waeup.aaua.po
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/ha/LC_MESSAGES/waeup.aaua.po	(revision 10152)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/ha/LC_MESSAGES/waeup.aaua.po	(revision 10152)
@@ -0,0 +1,91 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Mon May  6 11:18:57 2013\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: waeup/aaua/browser/theming.py:30
+msgid "AAUA Theme"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:35
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:47
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:61
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:73
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:88
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:70
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:71
+msgid "Submit"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:84
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: waeup/aaua/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/aaua/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr ""
+
+#: waeup/aaua/students/browser.py:74
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:80
+msgid "Payment Level"
+msgstr ""
Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/waeup.aaua.pot
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/waeup.aaua.pot	(revision 10151)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/waeup.aaua.pot	(revision 10152)
@@ -15,5 +15,5 @@
 msgstr ""
 "Project-Id-Version: Development/Unknown\n"
-"POT-Creation-Date: Wed Jan  9 10:52:42 2013\n"
+"POT-Creation-Date: Mon May  6 11:18:57 2013\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -24,2 +24,67 @@
 "Generated-By: zope/app/locales/extract.py\n"
 
+#: waeup/aaua/browser/theming.py:30
+msgid "AAUA Theme"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:35
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:47
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:61
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:73
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:88
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:70
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:71
+msgid "Submit"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:84
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: waeup/aaua/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/aaua/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid "These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr ""
+
+#: waeup/aaua/students/browser.py:74
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:80
+msgid "Payment Level"
+msgstr ""
+
Index: main/waeup.aaua/trunk/src/waeup/aaua/locales/yo/LC_MESSAGES/waeup.aaua.po
===================================================================
--- main/waeup.aaua/trunk/src/waeup/aaua/locales/yo/LC_MESSAGES/waeup.aaua.po	(revision 10152)
+++ main/waeup.aaua/trunk/src/waeup/aaua/locales/yo/LC_MESSAGES/waeup.aaua.po	(revision 10152)
@@ -0,0 +1,91 @@
+# #############################################################################
+#
+# Copyright (c) 2003-2004 Zope Corporation and Contributors.
+# All Rights Reserved.
+#
+# This software is subject to the provisions of the Zope Public License,
+# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
+# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
+# FOR A PARTICULAR PURPOSE.
+#
+# #############################################################################
+msgid ""
+msgstr ""
+"Project-Id-Version: Development/Unknown\n"
+"POT-Creation-Date: Mon May  6 11:18:57 2013\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: Zope 3 Developers <zope3-dev@zope.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: zope/app/locales/extract.py\n"
+
+#: waeup/aaua/browser/theming.py:30
+msgid "AAUA Theme"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:35
+msgid "School Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:41
+msgid "Application Fee (fallback)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:47
+msgid "Clearance Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:53
+msgid "Booking Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:61
+msgid "Maintenance Fee (ignored)"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:67
+msgid "Gown Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:73
+msgid "Transfer Fee"
+msgstr ""
+
+#: waeup/aaua/interfaces.py:88
+msgid "Academic Session"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:70
+msgid "Submit data to CollegePAY (Interswitch Payment Gateway)"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:71
+msgid "Submit"
+msgstr ""
+
+#: waeup/aaua/interswitch/browser.py:84
+msgid "Payment ticket can't be re-send to CollegePAY."
+msgstr ""
+
+#: waeup/aaua/interswitch/browser_templates/applicant_goto_interswitch.pt:4
+#: waeup/aaua/interswitch/browser_templates/student_goto_interswitch.pt:4
+msgid ""
+"These data will be submitted to the CollegePAY payment gateway, please check:"
+msgstr ""
+
+#: waeup/aaua/students/browser.py:74
+msgid "Create bed ticket"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:74
+msgid "Current Session Payment"
+msgstr ""
+
+#: waeup/aaua/students/interfaces.py:80
+msgid "Payment Level"
+msgstr ""