Index: main/waeup.diazo/trunk/kofa/base.xml
===================================================================
--- main/waeup.diazo/trunk/kofa/base.xml	(revision 10130)
+++ main/waeup.diazo/trunk/kofa/base.xml	(revision 10159)
@@ -10,5 +10,5 @@
     <theme href="theme.html" />
 
-    <!-- Head elements -->
+    <!-- head elements -->
     <replace css:theme="html head title"
              css:content="html head title" />
@@ -17,6 +17,51 @@
     <after css:theme-children="html head"
            css:content="html head base" />
+
+    <!-- top navigation -->
+    <!-- left top navigation -->
+    <replace css:theme-children="ul.kofa-navbar-left"
+             css:content-children="ul.kofa-navbar-left" />
+
+    <!-- the language selector
+
+      quite tricky. We insert a <li> element at end of
+      ul.kofa-navbar-left. This <li> has a header element
+      (the 'Language' button) and the a number of <li> elements
+      representing the supported languages.
+      We change the input content of format
+
+         <a href="foo" title="Lang">Abbrev</a>
+
+      to
+
+         <a href="foo">Lang</a>
+
+      creating new nodes (<xsl:element>) with attributes copied over.
+    -->
+    <after css:theme-children="ul.kofa-navbar-left">
+      <li class="dropdown kofa-langselect">
+        <a href="#" class="dropdown-toggle"
+           data-toggle="dropdown">Language <b class="caret"></b></a>
+        <ul class="dropdown-menu">
+          <xsl:for-each css:select=" .language a">
+            <li class="kofa-language">
+              <xsl:element name="a">
+                <xsl:attribute name="href">
+                  <xsl:value-of select="@href" />
+                </xsl:attribute>
+                <xsl:value-of select="@title" />
+              </xsl:element>
+            </li>
+          </xsl:for-each>
+        </ul>
+      </li>
+    </after>
+
+    <!-- right side top navigation -->
+    <replace css:theme-children="ul.kofa-navbar-right"
+             css:content-children="ul.kofa-navbar-right" />
+
+
   </rules>
 
 </rules>
-
Index: main/waeup.diazo/trunk/kofa/theme.html
===================================================================
--- main/waeup.diazo/trunk/kofa/theme.html	(revision 10130)
+++ main/waeup.diazo/trunk/kofa/theme.html	(revision 10159)
@@ -45,24 +45,24 @@
           </button>
           <a class="brand active" href="#">WAeUP.Kofa</a>
-          <div class="nav-collapse collapse">
-            <ul class="nav">
+          <div class="nav-collapse collapse kofa-primary-nav">
+            <ul class="nav kofa-navbar-left">
               <li class="active"><a href="#">Academics</a></li>
               <li><a href="#about">Applicants</a></li>
               <li><a href="#contact">Students</a></li>
               <li><a href="#contact">Hostels</a></li>
-              <li class="dropdown">
+              <li class="dropdown kofa-langselect">
                 <a href="#" class="dropdown-toggle"
 		   data-toggle="dropdown">Language <b class="caret"></b></a>
                 <ul class="dropdown-menu">
-                  <li><a href="#">en</a></li>
-                  <li><a href="#">fr</a></li>
-                  <li><a href="#">de</a></li>
-                  <li><a href="#">ha</a></li>
-                  <li><a href="#">yo</a></li>
-                  <li><a href="#">ig</a></li>
+                  <li class="kofa-language"><a href="#">en</a></li>
+                  <li class="kofa-language"><a href="#">fr</a></li>
+                  <li class="kofa-language"><a href="#">de</a></li>
+                  <li class="kofa-language"><a href="#">ha</a></li>
+                  <li class="kofa-language"><a href="#">yo</a></li>
+                  <li class="kofa-language"><a href="#">ig</a></li>
                 </ul>
               </li>
             </ul>
-            <ul class="nav secondary-nav pull-right">
+            <ul class="nav secondary-nav pull-right kofa-navbar-right">
               <li class="nav"><a href="#">Contact</a></li>
               <li class="nav"><a href="#">Logout</a></li>