Index: main/waeup.kofa/trunk/src/waeup/kofa/university/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 10171)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 10172)
@@ -156,5 +156,5 @@
     #: Fieldnames considered by this exporter
     fields = ('code', 'faculty_code', 'department_code', 'title', 'study_mode',
-              'start_level', 'end_level', 'application_category',
+              'start_level', 'end_level', 'application_category', 'ratio',
               'school_fee_1', 'school_fee_2', 'school_fee_3', 'school_fee_4',
               'users_with_local_roles')
Index: main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 10171)
+++ main/waeup.kofa/trunk/src/waeup/kofa/university/tests/test_export.py	(revision 10172)
@@ -379,7 +379,7 @@
             result,
             'code,faculty_code,department_code,title,study_mode,start_level,'
-            'end_level,application_category,school_fee_1,'
+            'end_level,application_category,ratio,school_fee_1,'
             'school_fee_2,school_fee_3,school_fee_4,users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
             '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
             )
@@ -393,9 +393,9 @@
             result,
             'code,faculty_code,department_code,title,study_mode,start_level,'
-            'end_level,application_category,school_fee_1,'
+            'end_level,application_category,ratio,school_fee_1,'
             'school_fee_2,school_fee_3,school_fee_4,users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,[]\r\n'
             )
         return
@@ -409,11 +409,11 @@
             result,
             'code,faculty_code,department_code,title,study_mode,start_level,'
-            'end_level,application_category,'
+            'end_level,application_category,ratio,'
             'school_fee_1,school_fee_2,school_fee_3,school_fee_4,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,[]\r\n'
-            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,[]\r\n'
+            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,[]\r\n'
             )
         return
@@ -426,11 +426,11 @@
             result,
             'code,faculty_code,department_code,title,study_mode,start_level,'
-            'end_level,application_category,'
+            'end_level,application_category,ratio,'
             'school_fee_1,school_fee_2,school_fee_3,school_fee_4,'
             'users_with_local_roles\r\n'
-            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,'
-            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
-            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,[]\r\n'
-            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,[]\r\n'
+            'CERT1,F1,D1,Master of Cheese,ct_ft,100,300,basic,,,,,,'
+            '"[{\'user_name\': u\'bob\', \'local_role\': u\'bobsrole\'}]"\r\n'
+            'CERT2,F1,D1,Master of Cheddar,ct_ft,400,700,cest,,,,,,[]\r\n'
+            'CERT3,F1,D2,Cert. of Rubbish,dp_pt,100,200,no,,,,,,[]\r\n'
             )
         return